import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner


class PythonNode (harkdesigner.TestHarkDesigner):
    @unittest.skip("not installed")
    def test_makefig(self):
        self.zoom(3)
        self.setDisplay("Line", "Lines")

        self.addNode("MultiFFT")
        self.addNode("LocalizeMUSIC")
        self.addNode("NormalizeMUIC")
        self.addNode("SourceTracker")
        self.reshape()

        self.connect("node_MultiFFT_1", "OUTPUT",
                     "node_LocalizeMUSIC_1", "INPUT")
        self.connect("node_LocalizeMUSIC_1", "OUTPUT",
                     "node_NormalizeMUSIC_1", "INPUT")
        self.connect("node_LocalizeMUSIC_1", "SPECTRUM",
                     "node_NormalizeMUSIC_1", "MUSIC_SPECf")
        self.connect("node_NormalizeMUSIC_1", "SOURCES_OUT",
                     "node_SourceTracker_1", "INPUT")

        # take a picture
        self.reshape()

        # raw_input()
        self.screenshot("png", "SaveRawPCM_", True, doReshape=False)

if __name__ == "__main__":
    unittest.main()
